fileatime
filegroup
Filesystem Functions
PHP Manual

# filectime

(PHP 4, PHP 5)

filectime — Gets inode change time of file

### Description

int filectime ( string `$filename` )

Gets the inode change time of a file.

### Parameters

`filename`

  Path to the file.

### Return Values

Returns the time the file was last changed, or `FALSE` in case of an error. The time is returned as a Unix timestamp.

### Examples

Example #1 A filectime() example

`<?php
// outputs e.g. somefile.txt was last changed: December 29 2002 22:16:23.
$filename = 'somefile.txt';
if (file_exists($filename)) {
echo "$filename was last changed: " . date("F d Y H:i:s.", filectime($filename));
}
?>`

### Notes

> Note: Note: In most Unix filesystems, a file is considered changed when its inode data is changed; that is, when the permissions, owner, group, or other metadata from the inode is updated. See also filemtime() (which is what you want to use when you want to create "Last Modified" footers on web pages) and fileatime().

> Note: Note also that in some Unix texts the ctime of a file is referred to as being the creation time of the file. This is wrong. There is no creation time for Unix files in most Unix filesystems.

> Note: The results of this function are cached. See clearstatcache() for more details.

Tip

As of PHP 5.0.0, this function can also be used with some URL wrappers. Refer to List of Supported Protocols/Wrappers for a listing of which wrappers support stat() family of functionality.

### See Also

- filemtime()

fileatime
filegroup
Filesystem Functions
PHP Manual